Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.gemini.blueprint.util.internal
Enum ClassUtils.ClassSet

    java.lang.Object
      java.lang.Enum<ClassUtils.ClassSet>
          org.eclipse.gemini.blueprint.util.internal.ClassUtils.ClassSet

All Implemented Interfaces:
  Serializable, Comparable<ClassUtils.ClassSet>

Enclosing class:
  ClassUtils

    public static enum ClassUtils.ClassSet

extends Enum<ClassUtils.ClassSet>

Enum Constant Summary
`ALL_CLASSES` Include all inherited classes (classes or interfaces)
`CLASS_HIERARCHY` Include only the class hierarchy (interfaces are excluded)
`INTERFACES` Include only the interfaces inherited from superclasses or implemented by the current class

Method Summary
`static ClassUtils.ClassSet` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClassUtils.ClassSet[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTERFACES

    public static final ClassUtils.ClassSet INTERFACES

  Include only the interfaces inherited from superclasses or implemented by the current class

### CLASS_HIERARCHY

    public static final ClassUtils.ClassSet CLASS_HIERARCHY

  Include only the class hierarchy (interfaces are excluded)

### ALL_CLASSES

    public static final ClassUtils.ClassSet ALL_CLASSES

  Include all inherited classes (classes or interfaces)

Method Detail

### values

    public static ClassUtils.ClassSet[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ClassUtils.ClassSet c : ClassUtils.ClassSet.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ClassUtils.ClassSet valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013. All Rights Reserved.